List of all members
clan::ZipReader Class Reference
clanCore I/O Data

Zip file reader. More...

`#include <zip_reader.h>`

## Public Member Functions
Construction
| ZipReader (IODevice &input)
| Constructs a ZipReader. More...
Operations
bool | read_local_file_header (bool allow_data_descriptor=false)
| Begins reading a file entry in the zip file. More...
std::string | get_filename ()
| Returns the file name that was stored in the local file header. More...
bool | has_data_descriptor () const
| Returns true if the file entry is followed by a data descriptor. More...
int64_t | get_compressed_size () const
| Returns the compressed size of the file entry. More...
int64_t | get_uncompressed_size () const
| Returns the uncompressed size of the file entry. More...
void | set_data_descriptor_data (int64_t compressed_size, int64_t uncompressed_size, uint32_t crc32)
| Informs the zip reader what the data descriptor contains. More...
int64_t | read_file_data (void *data, int64_t size, bool read_all=true)
| Reads some file data from the zip file. More...

## Detailed Description

Zip file reader.

The documentation for this class was generated from the following file:

- zip_reader.h